@import "src/components/Theme";

.container {
}

.dropArea {
  background: $mainWhite;
  padding: 14px 16px;
  display: flex;
  align-items: baseline;
  justify-content: center;
  border: 1px dashed $lightGray;
  box-sizing: border-box;
  border-radius: 4px;
  @include bodyMediumType($mediumGray);

  &.dragOver {
    border-color: $mainBlue;
  }

  label {
    color: $mainBlue;
  }
}

.nativeInput {
  display: none;
}

.preview {
  width: 74px;
  height: 48px;
  border: 2px solid $mainWhite;
  box-sizing: border-box;
  border-radius: 2px;
  background: $mainWhite;

  box-shadow: 0px 8px 16px rgba(74, 83, 114, 0.08);

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.previews {
  display: flex;
  margin-top: 12px;

  > * {
    margin-right: 12px;
  }
}